cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PSS

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PSS

- All Implemented Interfaces:
    ISegment

      public class PSS
      extends Segment

  PSS - Product/Service Section Segment The Product/Service Section segment is used to form a logical grouping of Product/Service Group segments, Patients and Response Summaries for a particular Invoice.

  Represents an HL7 PSS message segment. This segment has the following fields:

  PSS-1 : Provider Product/Service Section Number(EI)Required
  PSS-2 : Payer Product/Service Section Number(EI)Optional
  PSS-3 : Product/Service Section Sequence Number(SI)Required
  PSS-4 : Billed Amount(CP)Required
  PSS-5 : Section Description or Heading(ST)Required
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSS()` Constructs the PSS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CP` | `getBilledAmount()` Retrieve Billed Amount(CP)
    `EI` | `getPayerProductOrServiceSectionNumber()` Retrieve Payer Product/Service Section Number(EI)
    `SI` | `getProductOrServiceSectionSequenceNumber()` Retrieve Product Or Service Section Sequence Number(SI)
    `EI` | `getProviderProductOrServiceSectionNumber()` Retrieve Provider Product/Service Section Number
    `ST` | `getSectionDescriptionOrHeading()` Retrieve Section Description or Heading(ST)
    `void` | `setBilledAmount(CP objBilledAmount)` Set Billed Amount (CP) This field gives Sum of all Product/Service Billed Amounts for all Product/Service Line Items for this Product/Service Section.
    `void` | `setBilledAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Billed Amount (CP) This field gives Sum of all Product/Service Billed Amounts for all Product/Service Line Items for this Product/Service Section.
    `void` | `setPayerProductOrServiceSectionNumber(EI objPayerProductOrServiceSectionNumber)` Set Payer Product Or Service Section Number (EI) This Field is Unique Product/Service Section Number assigned by the Payer Application.
    `void` | `setPayerProductOrServiceSectionNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Payer Product/Service Section Number (EI) This Field Contain unique Product/Service Section Number assigned by the Provider Application.
    `void` | `setProductOrServiceSectionSequenceNumber(SI objProductOrServiceSectionSequenceNumber)` Set Product/Service Section Sequence Number (SI) This field is Unique sequence number for the Product/Service Section (3) – starts with 1, then 2, etc.
    `void` | `setProductOrServiceSectionSequenceNumber(java.lang.String strSequenceID)` Set Product/Service Section Sequence Number (SI) This field is Unique sequence number for the Product/Service Section (3) – starts with 1, then 2, etc.
    `void` | `setProviderProductOrServiceSectionNumber(EI objProviderProductOrServiceSectionNumber)` Set Provider Product/Service Section Number(EI) This Field Contain unique Product/Service Section Number assigned by the Provider Application.
    `void` | `setProviderProductOrServiceSectionNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Provider Product/Service Section Number(EI) This Field Contain unique Product/Service Section Number assigned by the Provider Application.
    `void` | `setSectionDescriptionOrheading(ST objSectionDescriptionOrheading)` Section Description or Heading (ST) This Field describe about Section description or heading.
    `void` | `setSectionDescriptionOrheading(java.lang.String strSectionDescriptionOrHeading)` Section Description or Heading (ST) This Field describe about Section description or heading.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSS

          public PSS()

      Constructs the PSS segment.

  - ### Method Detail

    - #### getProviderProductOrServiceSectionNumber

          public EI getProviderProductOrServiceSectionNumber()

      Retrieve Provider Product/Service Section Number
      Returns:
        EI - providerProductOrServiceSectionNumber - Unique Product/Service Section Number assigned by the Provider Application.

    - #### getPayerProductOrServiceSectionNumber

          public EI getPayerProductOrServiceSectionNumber()

      Retrieve Payer Product/Service Section Number(EI)
      Returns:
        EI - payerProductOrServiceSectionNumber - Unique Product/Service Section Number assigned by the Payer Application.

    - #### getProductOrServiceSectionSequenceNumber

          public SI getProductOrServiceSectionSequenceNumber()

      Retrieve Product Or Service Section Sequence Number(SI)
      Returns:
        String - productOrServiceSectionSequenceNumber - Unique sequence number for the Product/Service – starts with 1, then 2, etc. for each unique Product/Service Section in this Invoice.

    - #### getBilledAmount

          public CP getBilledAmount()

      Retrieve Billed Amount(CP)
      Returns:
        CP - billedAmount - Sum of all Product/Service Billed Amounts for all Product/Service Line Items for this Product/Service Section.

    - #### getSectionDescriptionOrHeading

          public ST getSectionDescriptionOrHeading()

      Retrieve Section Description or Heading(ST)
      Returns:
        ST - sectionDescriptionOrHeading

    - #### setProviderProductOrServiceSectionNumber

          public void setProviderProductOrServiceSectionNumber(java.lang.String strEntityIdentifier,
                                                      java.lang.String strNamespaceID,
                                                      java.lang.String strUniversalID,
                                                      java.lang.String strUniversalIDType)

      Set Provider Product/Service Section Number(EI) This Field Contain unique Product/Service Section Number assigned by the Provider Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setProviderProductOrServiceSectionNumber

          public void setProviderProductOrServiceSectionNumber(EI objProviderProductOrServiceSectionNumber)

      Set Provider Product/Service Section Number(EI) This Field Contain unique Product/Service Section Number assigned by the Provider Application.
      Parameters:
        `objProviderProductOrServiceSectionNumber` - - object of Provider Product Or Service Section Number.

    - #### setPayerProductOrServiceSectionNumber

          public void setPayerProductOrServiceSectionNumber(java.lang.String strEntityIdentifier,
                                                   java.lang.String strNamespaceID,
                                                   java.lang.String strUniversalID,
                                                   java.lang.String strUniversalIDType)

      Set Payer Product/Service Section Number (EI) This Field Contain unique Product/Service Section Number assigned by the Provider Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setPayerProductOrServiceSectionNumber

          public void setPayerProductOrServiceSectionNumber(EI objPayerProductOrServiceSectionNumber)

      Set Payer Product Or Service Section Number (EI) This Field is Unique Product/Service Section Number assigned by the Payer Application.
      Parameters:
        `objPayerProductOrServiceSectionNumber` - object of Payer Product Or Service Section Number

    - #### setProductOrServiceSectionSequenceNumber

          public void setProductOrServiceSectionSequenceNumber(java.lang.String strSequenceID)

      Set Product/Service Section Sequence Number (SI) This field is Unique sequence number for the Product/Service Section (3) – starts with 1, then 2, etc. for each unique Product/Service Section in this Invoice.
      Parameters:
        `strSequenceID` - - string of character which gives Sequence Id.

    - #### setProductOrServiceSectionSequenceNumber

          public void setProductOrServiceSectionSequenceNumber(SI objProductOrServiceSectionSequenceNumber)

      Set Product/Service Section Sequence Number (SI) This field is Unique sequence number for the Product/Service Section (3) – starts with 1, then 2, etc. for each unique Product/Service Section in this Invoice.
      Parameters:
        `objProductOrServiceSectionSequenceNumber` - - object of Product Or Service Section Sequence Number which gives Sequence Id.

    - #### setBilledAmount

          public void setBilledAmount(MO objPrice,
                             java.lang.String strPriceType,
                             java.lang.String strFormValue,
                             java.lang.String strToValue,
                             CWE objRangeUnits,
                             java.lang.String strRangeType)

      Set Billed Amount (CP) This field gives Sum of all Product/Service Billed Amounts for all Product/Service Line Items for this Product/Service Section.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setBilledAmount

          public void setBilledAmount(CP objBilledAmount)

      Set Billed Amount (CP) This field gives Sum of all Product/Service Billed Amounts for all Product/Service Line Items for this Product/Service Section.
      Parameters:
        `objBilledAmount` - - Gives information about the billed Amount.

    - #### setSectionDescriptionOrheading

          public void setSectionDescriptionOrheading(java.lang.String strSectionDescriptionOrHeading)

      Section Description or Heading (ST) This Field describe about Section description or heading.
      Parameters:
        `strSectiondescriptionOrheading.` - - string of section of description or heading.

    - #### setSectionDescriptionOrheading

          public void setSectionDescriptionOrheading(ST objSectionDescriptionOrheading)

      Section Description or Heading (ST) This Field describe about Section description or heading.
      Parameters:
        `objSectiondescriptionOrheading.` - - object of section of description or heading.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSS} while parsing PSS segment validate method will check for its mandatory presence. [PSS] in this case validate will throw exception if one tries to enter more than one PSS segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.